# sip-hash(1)

Bordeaux, December 2020

```
sip-hash [options] userid

```

## Description

Computes a sip secret (digest) for a given user and realm with the specified
plaintext password. This hash is then used to validate sip digests and
nonce's.

## Options

* **--config=**_path_
  Alternate config file path (future use).
* **--digest=**_algorithm_
  Digest algorithm to use. Currently sha-256 and md5 are the only ones supported
  and sha-256 is the default.
* **--realm=**_realm_
  Realm this user belongs to.
* **--password=**_passphrase_
  To set the password used. Otherwise it is prompted for from the user.
* **--verbose**
  Shows the full user secret, including the id and realm used.
* **--help**
  Outputs help screen for the user.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/bordeaux/issues/new>.

## Copyright

Copyright © 2020-2021 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
